import '@material/web/icon/icon.js';
import { LitElement } from 'lit';
declare const DomainSwitch_base: (new (...args: any[]) => {
    _storeUnsubscribe: import("redux").Unsubscribe;
    connectedCallback(): void;
    disconnectedCallback(): void;
    stateChanged(_state: unknown): void;
    readonly isConnected: boolean;
}) & typeof LitElement;
export declare class DomainSwitch extends DomainSwitch_base {
    static styles: import("lit").CSSResult[];
    domains: any[];
    domain: any;
    attrname: string;
    icon?: string;
    render(): import("lit-html").TemplateResult<1>;
    stateChanged(state: any): void;
}
export {};
